import objectdraw.*;
import java.awt.*;

/*
 * Example RubberBand
 *
 * A simple program to draw a rubber band line.
 * This version creates a single line segment and
 * the changes the end point each time the mouse moves.
 *
 * Jim Teresco, Siena College, CSIS 120, Spring 2011
 * The College of Saint Rose, Fall 2013
 * Original from Williams College, CSCI 134
 *
 * $Id: RubberBand.java 2218 2013-10-18 14:06:39Z terescoj $
 */

public class RubberBand extends WindowController {

    private Line line;          // the line being drawn

    public void onMousePress(Location pressedPoint) {
        
        // create the line when we press the mouse -- a very boring
        // line from the pressed point to itself.
        line = new Line(pressedPoint, pressedPoint, canvas);
    }

    public void onMouseDrag(Location point) {
        
        // as the mouse is dragged, update the endpoint of the line
        // to the drag position
        line.setEnd(point);
    }
}
